测试必须在时间、质量和成本之间获取一个平衡点,这是测试策略和测试设计的价值体现。

1.2 pip降级selenium3.0

上一篇 / 下一篇  2018-06-12 11:02:17 / 个人分类:Python+Selenium1 环境搭建

1.2 pip降级selenium3.0

51Testing软件测试网-y5xK3q;r5g

selenium版本安装后启动Firefox出现异常:'geckodriver' executable needs to be in PATH51Testing软件测试网+[*qOv0za R
selenium默默的升级到了3.0,然而网上的教程都是基于selenium2的,最近有不少小伙伴踩坑了,决定有必要出这一篇,帮助刚入门的小伙伴们解决好环境问题。51Testing软件测试网d!zO?n%]V,i
selenium+python环境搭配:
q&J(p~!es0Sf+L5I0selenium2+firefox46以下版本(无需驱动包,firefox喜欢偷偷升级,你懂的)51Testing软件测试网3eXLx6K!g t*o
selenium3+firefox46以上版本(必须下载驱动:geckodriver.exe,且添加到环境变量)
/lfh2kf01.2.1 遇到问题51Testing软件测试网T {b7g?b O
    1.安装完selenium后,再cmd进入python环境
jQ$kt0|}v0    2.从selenium导入webdriver51Testing软件测试网%n(C;pA[$M0B.M1GB

^*D,~.hC7z#\-no0    3.启动Firefox浏览器51Testing软件测试网!m!brF+{6}bD6A
>>python51Testing软件测试网0l4Q$]:R7gy b
>>from selenium import webdriver
\6d Ee#H ~,Kb&W"F,O"j0>>webdriver.Firefox()51Testing软件测试网H3?}"fOXR#P
然后出现以下异常:'geckodriver' executable needs to be in PATH51Testing软件测试网D-B(n&I.X

51Testing软件测试网Kzy[0_#zj o4{k

.L-b7or}-t0

s.^n#cP R3q_9d1uJ0 

tcr[yN_0

9r"N^7f.FU3n!s01.2.2 解决方案51Testing软件测试网}i/ZJ$d1fYFL
    1.'geckodriver' executable needs to be inPATH,这句话意思就是说,geckodriver.exe的驱动文件需要添加到环境变量下,51Testing软件测试网;_5_ E0Q hM:z

oLGIi~(?1n0selenium2是默认支持firefox的,不需要驱动包,但是,selenium3需要驱动包的支持了,于是就有了上面的问题51Testing软件测试网G [3X"e|nS
   2.解决办法一:继续使用selenium3,去下载驱动包,然后加到环境变量下(不推荐此办法,因为解决完这个问题后,后面还会接着有其它问题)51Testing软件测试网XF i v8plb
   3.解决办法二:selenium3降级到selenium2(接下来会介绍)51Testing软件测试网jc&eN7Rr
 51Testing软件测试网0|4KKr z!b4R`
1.2.3 检查pip环境
%QxI5Y!Fb%F8@-L8T0    1.打开cmd,输入pip,检查pip环境是否正常
uyv,xZ"t A6Q0>>pip51Testing软件测试网KO"tE[%c-pQ

q(E(k8Y!Q[b.v9j0

w'Y(tS vn#lc051Testing软件测试网^`S9AM

    2.如果输入pip出现提示:Did not provide a command 说明pip环境有问题,临时解决办法,输入pip时候加上后缀pip.exe就可以了,具体原因看下一篇解决办法。51Testing软件测试网#T)AXCSV,i6dBa
1.2.4 pip查看selenium版本号
Mf.` N!sP8dj2u0    1.打开cmd,输入pip show selenium
m5?%c0J,e0>>pip show selenium51Testing软件测试网)l!mZ"?#G
   2.看红色区域位置版本号显示:2.53.0,显示的就是当前使用的版本号

(o |$z8k*MI@051Testing软件测试网w8lQ},Su E

(如果你这里显示的是3.0开头,就需要接下来步骤了)

M&atfIR8i V X051Testing软件测试网 US,@j@6]'f`,\i

C K]#~[(CLr` G051Testing软件测试网{R1` y:s#C0bC

 

BA His6p2t]o051Testing软件测试网n)Q;e8`$l-{3X

 

1E#rf+i)xnK4LU051Testing软件测试网Y _6e[-~.i4K

1.2.5 pip降级selenium
9y ~ Hoo,}0    1.为了避免与之前安装的selenium版本冲突,先找到selenium3.0目录:python\Lib\site-packages目录
@~|/F` N0把里面selenium开头的文件全部删除就可以了。python所有的第三方包都在这个目录下面。

J+L-\ q~o#^0e051Testing软件测试网 qC6Iq:Yd

6Bwc2XA-o051Testing软件测试网(V/~F!^euj"z%v!{]

 

F:F)U!}M/{7Ae&ICA$m0

\?8\;tc5l0     2.打开cmd,输入pip install selenium==2.53.6(注意是两个==,中间不要留空格,这里推荐2.53.6的版本)
;a:Q hc&u$XS9n9a;T0>>pip install selenium==2.53.651Testing软件测试网"Mjj1K2N u

;t0Z3HV'Ey0

l9p+w2kv(J-k.G!r^O051Testing软件测试网 s+B(_JuEDR

 51Testing软件测试网:C(yZPTc!L2F%}~D

51Testing软件测试网"q5|vTk\e

1.2.6 升级pip版本51Testing软件测试网:G I }E.u2pu9f
    1.在使用pip过程中如果出现下方红色区域字样,就是说pip版本过低了,建议升级51Testing软件测试网)V_uE@8GFXQ
    2.如何升级pip呢?看最后一句话:python -m pip install --upgrade pip51Testing软件测试网9iW;S!S,q6y5h$D

51Testing软件测试网"l#wN"SoT^} Ga Q

Mr kBz\t0

*K;aV2@"P9`8Fr CI)z@0 

)Hjx;b8P!WQ)g hz8qg051Testing软件测试网{:jn1o%~3I

   3.把上面对应的提示照着敲一遍就可以了

0|+s&A3F{0

nD%Q n v051Testing软件测试网 U O#LK([S(pW{


TAG:

 

评分:0

我来说两句

显示全部

:loveliness: :handshake :victory: :funk: :time: :kiss: :call: :hug: :lol :'( :Q :L ;P :$ :P :o :@ :D :( :)

Open Toolbar